<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 499.1   Patch: 6                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Users
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER" ) )
{
	die( "Error" );
}

if( $preferences[ 'user_active' ] )
{
	if( $action == "login" )
	{
		include( "userlogin.php" );
		UserLogin();
	}
	
	if( $action == "dologin" )
	{
		include( "userdologin.php" );
		UserDoLogin();
	}
	
	if( $action == "logout" )
	{
		include( "userlogout.php" );
		UserLogout();
	}
	
	if( $action == "avatar" )
	{
		include( "useravatar.php" );
		UserAvatar( $id );
	}
	
	if( $action == "registration" )
	{
		include( "userregistration.php" );
		UserRegistration( 0 );
	}
	
	if( $action == "doregistration" )
	{
		include( "userdoregistration.php" );
		UserDoRegistration();
	}
	
	if( $action == "activation" )
	{
		include( "useractivation.php" );
		UserActivation( $opt );
	}
	
	if( $action == "recovery" )
	{
		include( "userrecovery.php" );
		UserRecovery( 0 );
	}
	
	if( $action == "dorecovery" )
	{
		include( "userdorecovery.php" );
		UserDoRecovery();
	}
	
	if( $action == "confirmrecovery" )
	{
		include( "userconfirmrecovery.php" );
		UserConfirmRecovery( $opt );
	}
	
	if( $action == "usersecurityimage" )
	{
		include( "usersecurityimage.php" );
		UserSecurityImage();
	}
	
	if( $action == "controlpanel" )
	{
		include( "usercontrolpanel.php" );
		UserControlPanel();
	}
	
	if( $action == "editprofile" )
	{
		include( "usereditprofile.php" );
		UserEditProfile();
	}
	
	if( $action == "editavatar" )
	{
		include( "usereditavatar.php" );
		UserEditAvatar();
	}
	
	if( $action == "profileavatar" )
	{
		include( "userprofileavatar.php" );
		UserProfileAvatar();
	}
	
	if( $action == "douploadavatar" )
	{
		include( "userdouploadavatar.php" );
		UserDoUploadAvatar();
	}
	
	if( $action == "pmnew" )
	{
		include( "userpmnew.php" );
		UserPMNew( 0 );
	}
	
	if( $action == "dopmnew" )
	{
		include( "userpmnew.php" );
		include( "userdopmnew.php" );
		UserDoPMNew();
	}
	
	if( $action == "pminbox" and !$opt )
	{
		include( "userpminbox.php" );
		UserPMInbox( 0 );
	}
	
	if( $action == "pminbox" and $opt )
	{
		include( "userpminbox.php" );
		UserPMInbox( $opt );
	}
	
	if( $action == "pmsent" and !$opt )
	{
		include( "userpmsent.php" );
		UserPMSent( 0 );
	}
	
	if( $action == "pminbox" and $opt )
	{
		include( "userpminbox.php" );
		UserPMInbox( $opt );
	}
	
	if( $action == "pmview" and $id )
	{
		include( "userpmview.php" );
		
		if( $opt )
		{
			UserPMView( $id, $opt );
		}
		else
		{
			UserPMView( $id, 0 );
		}
	}
	
	if( $action == "pmreply" and $id )
	{
		include( "userpmreply.php" );
		UserPMReply( $id );
	}
	
	if( $action == "pmforward" and $id )
	{
		include( "userpmforward.php" );
		UserPMForward( $id );
	}
	
	if( $action == "pmdelete" and $id )
	{
		include( "userpmdelete.php" );
		UserPMDelete( $id );
	}
	
	if( $action == "pmoptions" )
	{
		include( "userpmoptions.php" );
		UserPMOptions();
	}
	
	if( $action == "dopmoptions" )
	{
		include( "userdopmoptions.php" );
		UserDoPMOptions();
	}
	
	if( $action == "profile" and $page )
	{
		include( "userprofile.php" );
		UserProfile( $page );
	}
}
else
{
	die( "Module inactive" );
}
?>