<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 499.1   Patch: 6                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Users
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function UserConfirmRecovery
 * A function to confirm the password recovery for a user account
 * @author Philipp Louis Esselbach
 */
function UserConfirmRecovery( $updatekey )
{
	global $database, $templates, $system, $preferences, $uwrapper;
	
	if( !preg_match( "/Contentteller/i", $preferences[ 'website_uwrapper_product' ] ) )
	{
		$uwrapper -> usercp();
	}
	
	$main_templates = $templates -> preparetemplates( "'site_header','site_footer','site_block','site_login_anon','site_login_user','user_recovery_error_regkeyinvalid','user_recovery_confirm_done'", $preferences[ 'current_theme' ] );
	$insert = $system -> getinsert( $preferences, $main_templates );
	$insert[ 'page_name' ] = $preferences[ 'website_name' ];
	$insert[ 'page_description' ] = $preferences[ 'website_description' ];
	$insert[ 'page_keywords' ] = $preferences[ 'website_keywords' ];
	$templates -> initgzip();
	echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );
	$query = $database -> dbquery( "SELECT userrecovery_id, userrecovery_userid, userrecovery_password, userrecovery_salt, userrecovery_time, userrecovery_ip FROM " . DB_PREFIX . "esselbach_ct_usersrecovery WHERE userrecovery_updatekey = '" . $updatekey . "'" );
	
	if( $database -> dbrows( $query ) )
	{
		list( $userrecovery_id, $userrecovery_userid, $userrecovery_password, $userrecovery_salt, $userrecovery_time, $userqueue_ip ) = $database -> dbrow( $query );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_users SET user_password = '" . $database -> dbescape( $userrecovery_password ) . "', user_salt = '" . $database -> dbescape( $userrecovery_salt ) . "' WHERE user_id = '" . $userrecovery_userid . "'" );
		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_usersrecovery WHERE userrecovery_userid = '" . $userrecovery_id . "'" );
		echo $templates -> exectemplate( $main_templates[ 'user_recovery_confirm_done_html' ], $main_templates[ 'user_recovery_done_php' ], $insert );
	}
	else
	{
		echo $templates -> exectemplate( $main_templates[ 'user_recovery_error_updatekeyinvalid_html' ], $main_templates[ 'user_recovery_error_updatekeyinvalid_php' ], $insert );
	}
	
	echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
}
?>